### Property

# Adw WrapBox:natural-line-length-unit

since: 1.7

#### Declaration

    property natural-line-length-unit: Adw.LengthUnit [ read, write ]

#### Description [src]

The length unit for natural line length.

Allows the length to vary depending on the text scale factor.

See `AdwWrapBox:natural-line-length`.

Type:`AdwLengthUnit`

Available since: 1.7

Default value | ADW_LENGTH_UNIT_PX
Getter method | `adw_wrap_box_get_natural_line_length_unit()`
Setter method | `adw_wrap_box_set_natural_line_length_unit()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no